# Changelog

All notable changes to this project will be documented in this file.

## [2.3.0]

### 🚀 Features

- Multiple small optimizations for up to 25% performance improvement
  - Parallelism is now at directory level instead of file level

## [2.2.0]

### 🚀 Features

- Use `crossbeam_channel` for up to 90% performance improvement
- [feat: use ignore hidden detection implementation for correctness](https://github.com/LyonSyonII/hunt-rs/commit/dff0be53c6a2c0d1e4002c51900225d5be8892e7)

### 🐛 Bug Fixes

- [fix: fixed freeze when reading from current directory](https://github.com/LyonSyonII/hunt-rs/commit/f54de3d8963020d2c9266b380d09e736b7bb49f0)
- [fix: Output is no longer highlighted when -s or -ss is provided](https://github.com/LyonSyonII/hunt-rs/commit/bf9aecbd7d6c49578232d19640ad9e99136a22ae)

## [2.1.0]

### 🚀 Features

- Changed `sort_unstable` to `sort` for up to 20% performance improvement
- Re-added color to --help output

### 🐛 Bug Fixes

- Avoid allocation in case of case_sensitivity
- Fixed canonicalization

## [2.0.0]
### Breaking changes
- Updated to clap 4.3.0.
- Changed `case_sensitive` flag from `-c` to `-C`.
- Changed `hidden` flag from `-h` to `-H`.
- `help` can now be triggered by `-h` and `--help`.
- Added `--canonicalize` and `-c` flags
  - `hunt`'s output will now depend on the paths in `SEARCH_IN_DIRS`.  
  Only queries starting with `/` will be canonicallized.  
  - Addresses [#2](https://github.com/LyonSyonII/hunt-rs/issues/2).
- The `-ss` flag now prints the results incrementally, as no sorting is needed.  
  - The "File not found" message will only be shown when no `-s` flag is provided.
  - Addresses [#4](https://github.com/LyonSyonII/hunt-rs/issues/4).

### Other changes
- Fixed README examples to account for the flag changes.
- Updated multiple dependencies

<!-- generated by git-cliff -->

<!-- git cliff --unreleased --tag 1.0.0 --prepend CHANGELOG.md >